# Uses of Class
net.shibboleth.profile.installablecomponent.InstallableComponentInfo

Packages that use InstallableComponentInfo
Package
Description
net.shibboleth.profile.installablecomponent
Classes for "Installable Components".

## Uses of InstallableComponentInfo in net.shibboleth.profile.installablecomponent

Methods in net.shibboleth.profile.installablecomponent with parameters of type InstallableComponentInfo
Modifier and Type
Method
Description
`static InstallableComponentVersion`
InstallableComponentSupport.`getBestVersion(InstallableComponentVersion installIntoVersion, InstallableComponentVersion instaleeVersion, InstallableComponentInfo instaleeInfo)`
Find the best update version (plugin or IdP - call it the instalee).